diff --git a/src/backend/access/heap/heapam.c b/src/backend/access/heap/heapam.c
index 51e4d28..881d997 100644
--- a/src/backend/access/heap/heapam.c
+++ b/src/backend/access/heap/heapam.c
@@ -4234,7 +4234,10 @@ l3:
 			else /* wait_policy == LockWaitSkip */
 			{
 				if (!ConditionalLockTupleTuplock(relation, tid, mode))
+				{
+					elog(WARNING, "skipping because cannot obtain tuple lock");
 					return HeapTupleWouldBlock;
+				}
 			}
 			have_tuple_lock = true;
 		}
@@ -4462,6 +4465,7 @@ l3:
 													XLTW_Lock, NULL))
 					{
 						UnlockTupleTuplock(relation, tid, mode);
+						elog(WARNING, "skipping because cannot obtain multi-xact lock");
 						return HeapTupleWouldBlock;
 					}
 				}
@@ -4528,6 +4532,7 @@ l3:
 					if (!ConditionalXactLockTableWait(xwait))
 					{
 						UnlockTupleTuplock(relation, tid, mode);
+						elog(WARNING, "skipping because cannot obtain regular lock");
 						return HeapTupleWouldBlock;
 					}
 				}
